<?php
if (!isset($msgDeletionNote)) {
    $msgDeletionNote = "";
}
if (!isset($labelString)) {
    $labelString = "";
}
?>
<h2><?php _e('Privacy Settings', 'custom-product-boxes') ?></h2>
<table class = 'form-table' id = "wdm_privacy">
    <tbody>
        <tr valign="top" class="gift_msg_anonymize">
            <th scope="row" class="titledesc"><?php _e('Use gift message feild as personal data?', 'custom-product-boxes'); ?></th>
            <td class="forminp forminp-checkbox">
                <?php echo \cpbHelpTip(__("Removes the gift message when woocommerce wants to remove user's personal data", 'custom-product-boxes'), true); ?>
                <fieldset>
                    <legend class="screen-reader-text">
                        <span><?php _e('Use gift message feild as personal data?', 'custom-product-boxes'); ?></span>
                    </legend>
                    <label for="_wdmcpb_anonymize_mgs">
                        <input <?php echo $disableSetting; ?> name="_wdmcpb_anonymize_mgs" id="_wdmcpb_anonymize_mgs" type="checkbox" class="" <?php checked('on', get_option('_wdmcpb_anonymize_mgs'), true); ?> /> 
                        <p class = "wdm-notice-p"><?php
                            echo $settingMsg;
                        ?></p>
                    </label>
                    <p class="description">
                    </p>
                </fieldset>
            </td>
        </tr>
        <tr valign="top" class ="<?php echo $trClasses; ?>" style = "<?php echo $hide_labels; ?>">
            <th scope="row" class="titledesc">
                <label for="wdmcpb_old_order_labels">
                    <?php _e('Message label(s) of old orders.', 'custom-product-boxes'); ?>
                </label>
            </th>
            <td class="forminp forminp-text">
                <?php echo \cpbHelpTip(__('Used to remove gift message from old orders.', 'custom-product-boxes'), true); ?>
                <textarea
                    name="wdmcpb_old_order_labels"
                    id="wdmcpb_old_order_labels"
                    value=""
                    class=""
                    placeholder="Add message labels"
                ><?php echo trim($labelString); ?></textarea>
                <p class="description"><?php echo $msgDeletionNote; ?></p>
            </td>
        </tr>
    </tbody>
</table>