jQuery(document).ready(function() {
//For the vertical layouts of the CPB Products features of scrolling screen.
	if(wdm_cpb_scroll.selectedLayout == 'vertical' || wdm_cpb_scroll.selectedLayout == 'vertical-right') {
		scrollColumnsOfGrid();

		jQuery(window).resize(function() {
				scrollColumnsOfGrid();
		});
	} else if (wdm_cpb_scroll.selectedLayout == 'horizontal') {
		scrollProductLayout();
	}

});

/**
* For the selected layout as horizontal.
* To the sticky scroll function of jquery send the bottom offset value.
* The bottom offset value is the sum of gift message and the add-on products offset values
*/
function scrollProductLayout()
{
	 jQuery('.wdm-bundle-bundle-box').stickyScroll({
		container: '.wdm_fix_div',
		offsetBottomValue: offsetBottomValue(),
	});
}
/**
* If the top of the bundled selected products and the add-on products are not on same level.
* Returns true when the gift box top offset is less than the add-on products offset.
* @return bool true when the gift box top offset is less than the add-on products offset.
*/
function canBeScrolled()
{
	var gridFirst = jQuery('.wdm-bundle-single-product').first();
    var gridDivTop = gridFirst.offset().top;
    var gridDivHeight = gridFirst.height();
    var productDivTop = jQuery('.bundled_product_summary').first().offset().top;

    if( (productDivTop - gridDivTop) >= gridDivHeight ) {
    	return false;
    }
    return true;
}


/*function scrollColumnsOfGrid() {
	if (canBeScrolled() === true) {
		var cont1height = jQuery('.wdm-bundle-bundle-box').height();
		var cont2height = jQuery('.wdm_product_bundle_container_form').height();
		var priceHeight = jQuery('.bundle_wrap').height();

		var offset = jQuery('.wdm-bundle-bundle-box').offset().top - 50;
		jQuery(window).scroll(function(){
			var windowsc = jQuery(window).scrollTop();
			//When scroll bar is greater than grid layout and less than product layout plus height of grid layout and position of grid top less than product layout height + grid height
			if ((jQuery(window).scrollTop() > offset) && (jQuery(window).scrollTop() <= cont2height+offset) && (jQuery('.wdm-bundle-bundle-box').offset().top <= (cont2height+cont1height))) {
				jQuery('.wdm-bundle-bundle-box').stop().animate({"margin-top": (windowsc-offset) + "px"}, 0);
			}

			if ((jQuery(window).scrollTop() > offset) && (jQuery(window).scrollTop() <= cont2height+offset/2) && (jQuery('.wdm-bundle-bundle-box').offset().top >= (cont2height+cont1height))) {
				jQuery('.wdm-bundle-bundle-box').stop().animate({"margin-top": (windowsc-offset) + "px"}, 0);
			}

			if(jQuery(window).scrollTop() <= 265) {
				jQuery('.wdm-bundle-bundle-box').css('margin-top','0px');
			}

		});
	} else {

		jQuery('.wdm-bundle-bundle-box').css('margin-top','0px');
	}
}*/

/**
* Returns the bottom offset value for the gift message and bundle add-on products.
* @return float $offsetBottomVal offset bottom value for gift message and add-on products.
*/
function offsetBottomValue()
{
	var numOfGiftBox = 1 + Math.floor(jQuery(".wdm-bundle-bundle-box").find(".wdm-bundle-single-product").length / 8),
		offsetBottomVal = jQuery(".gift-message-box").outerHeight() + (jQuery(".bundled_product_summary").outerHeight(true) ) ;
	return offsetBottomVal;
}

/**
* Change the top margin for the bundle boxes(selected), when it is scrollable.
* When the window is scrolled , change the top margin so that the gift box
* is visible with the page scrolling.
*/
function scrollColumnsOfGrid() {
	if (canBeScrolled() === true) {
		var giftBoxHeight = jQuery('.wdm-bundle-bundle-box').outerHeight(true),
			gittBoxTop = jQuery('.wdm-bundle-bundle-box').offset().top,
			productsConatinerHeight = jQuery('.wdm-bundle-product-product-group').height(),
			HeaderElementRefrence = jQuery('.wdm-bundle-bundle-box').parents("body").find("header"),
			htmlMarginTop = parseInt(jQuery("html").css("marginTop"));

			function fixedHeaderHeight()
            {
              if((HeaderElementRefrence.css("position") === "fixed") || (HeaderElementRefrence.children().css("position") === "fixed")  && jQuery(window).scrollTop() > (gittBoxTop/ 2))
              {
                return HeaderElementRefrence.outerHeight(true);
              }
              return 0;
            }
		jQuery(window).scroll(function(){
			var windowsc = jQuery(window).scrollTop();
			if( windowsc >= gittBoxTop - fixedHeaderHeight()  && windowsc <= jQuery('.wdm-bundle-product-product-group').height()+ gittBoxTop - fixedHeaderHeight() - giftBoxHeight)
			{

				jQuery('.wdm-bundle-bundle-box').stop().animate({"margin-top": (windowsc - gittBoxTop + htmlMarginTop + fixedHeaderHeight() ) + "px"}, 0);
			}
			else if( windowsc <= gittBoxTop)
			{
				jQuery('.wdm-bundle-bundle-box').stop().animate({"margin-top":"0px"}, 0);
			}
		});
	}
}

